Mandrake Linux Security Advisory : perl-DBI (MDKSA-2005:030)

Low Nessus Plugin ID 16359


The remote Mandrake Linux host is missing one or more security updates.


Javier Fernandez-Sanguino Pena disovered the perl5 DBI library created a temporary PID file in an insecure manner, which could be exploited by a malicious user to overwrite arbitrary files owned by the user executing the parts of the library.

The updated packages have been patched to prevent these problems.


Update the affected perl-DBI, perl-DBI-ProfileDumper-Apache and / or perl-DBI-proxy packages.

Plugin Details

Severity: Low

ID: 16359

File Name: mandrake_MDKSA-2005-030.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/02/10

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:perl-DBI, p-cpe:/a:mandriva:linux:perl-DBI-ProfileDumper-Apache, p-cpe:/a:mandriva:linux:perl-DBI-proxy, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/02/08

Reference Information

CVE: CVE-2005-0077

MDKSA: 2005:030